## nova 14.0.0~b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
boto>=2.32.1 # MIT
decorator>=3.4.0 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
Jinja2>=2.8 # BSD License (3 clause)
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
WebOb>=1.2.3 # MIT
greenlet>=0.3.2 # MIT
PasteDeploy>=1.5.0 # MIT
Paste # MIT
PrettyTable<0.8,>=0.7 # BSD
sqlalchemy-migrate>=0.9.6 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
netifaces>=0.10.4 # MIT
paramiko>=2.0 # LGPLv2.1+
Babel>=2.3.4 # BSD
iso8601>=0.1.11 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
keystoneauth1>=2.10.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-glanceclient!=2.4.0,>=2.3.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.16.0 # Apache-2.0
setuptools!=24.0.0,>=16.0 # PSF/ZPL
websockify>=0.8.0 # LGPLv3
oslo.cache>=1.5.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
oslo.db>=4.10.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.privsep>=1.9.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
rfc3986>=0.2.2 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
psutil<2.0.0,>=1.1.1 # BSD
oslo.versionedobjects>=1.13.0 # Apache-2.0
os-brick>=1.3.0 # Apache-2.0
os-vif>=1.1.0 # Apache-2.0
os-win>=0.2.3 # Apache-2.0
castellan>=0.4.0 # Apache-2.0
microversion-parse>=0.1.2 # Apache-2.0

=== debian/changelog ===
nova (2:14.0.0~b3-1+1571~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Fri, 16 Sep 2016 13:18:41 +0000

nova (2:14.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Points .gitreview to OpenStack's Gerrit packaging-deb.
  * Fixed nova.conf generation.
  * Blacklist failing test:
    - virt.libvirt.test_driver.LibvirtConnTestCase.test_spawn_with_config_drive
  * Added a nova-placement-api package & daemon.
  * Package /usr/bin/nova-policy in nova-common.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2016 09:40:05 +0200

nova (2:14.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Updated Danish translation of the debconf (Closes: #830630).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2016 14:18:44 +0200

nova (2:14.0.0~b1-2) experimental; urgency=medium

  * Fixed correct path for $pybasedir.
  * Fixed bindir to /usr/bin.
  * Fixed use_neutron to True by default.
  * Fixed api_servers to http://localhost:9292 by default.
  * Rebuilt with openstack-pkg-tools >= 52~ to ensure ALTER TABLE is done
    correctly with backquotes for the db name.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jun 2016 08:29:14 +0000

nova (2:14.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Update the namespace list when generating nova.conf.
  * Adds fix-requirements.txt.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Jun 2016 14:46:53 +0200

=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           gustavo panizzo <gfa@zumbi.com.ar>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 52~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools (>= 16.0),
               python-sphinx,
Build-Depends-Indep: bandit (>= 0.13.2),
                     bpython,
                     euca2ools,
                     git,
                     ipython,
                     libvirt-daemon-system,
                     openssh-client,
                     procps,
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-boto,
                     python-castellan (>= 0.4.0),
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage,
                     python-cryptography (>= 1.0),
                     python-decorator,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-gabbi (>= 1.24.0),
                     python-glanceclient (>= 1:2.3.0),
                     python-greenlet,
                     python-hacking (>= 0.10.0),
                     python-ironicclient (>= 1.6.0),
                     python-iso8601 (>= 0.1.11),
                     python-jinja2 (>= 2.8),
                     python-jsonschema,
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-lxml,
                     python-memcache,
                     python-microversion-parse (>= 0.1.2),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-mox3,
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-netifaces (>= 0.10.4),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:2.9.0),
                     python-openstackdocstheme (>= 1.5.0),
                     python-os-api-ref,
                     python-os-brick (>= 1.3.0),
                     python-os-testr (>= 0.7.0),
                     python-os-vif (>= 1.1.0),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 2.0.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.privsep (>= 1.9.0),
                     python-oslo.reports (>= 1.0.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslo.versionedobjects (>= 1.13.0),
                     python-oslo.vmware (>= 2.11.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-os-win (>= 0.2.3),
                     python-paramiko (>= 2.0),
                     python-paste,
                     python-pastedeploy,
                     python-pil,
                     python-prettytable,
                     python-psutil,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0.0),
                     python-rfc3986 (>= 0.2.2),
                     python-routes,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib.seqdiag,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     sqlite3,
                     subunit,
                     testrepository,
                     websockify (>= 0.8.0),
Build-Conflicts: python-cjson
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-nova
Vcs-Git: https://git.openstack.org/openstack/deb-nova
Homepage: http://www.openstack.org/software/openstack-compute/

Package: python-nova
Architecture: all
Section: python
Depends: openssh-client,
         openssl,
         python-babel (>= 2.3.4),
         python-boto,
         python-castellan (>= 0.4.0),
         python-cinderclient (>= 1:1.6.0),
         python-cryptography (>= 1.0),
         python-decorator,
         python-eventlet (>= 0.18.4),
         python-feedparser,
         python-glanceclient (>= 1:2.3.0),
         python-greenlet,
         python-iso8601 (>= 0.1.11),
         python-jinja2 (>= 2.8),
         python-jsonschema,
         python-keystoneauth1 (>= 2.10.0),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml,
         python-memcache,
         python-microversion-parse (>= 0.1.2),
         python-migrate (>= 0.9.6),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-netifaces (>= 0.10.4),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.9.0),
         python-os-brick (>= 1.3.0),
         python-os-vif (>= 1.1.0),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 2.0.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.privsep (>= 1.9.0),
         python-oslo.reports (>= 1.0.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-oslo.versionedobjects (>= 1.13.0),
         python-os-win (>= 0.2.3),
         python-paramiko (>= 2.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-prettytable,
         python-psutil,
         python-psycopg2 (>= 2.5),
         python-pycurl,
         python-pymysql,
         python-pyparsing (>= 1.5.7),
         python-requests (>= 2.10.0),
         python-rfc3986 (>= 0.2.2),
         python-routes,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         python-tempita,
         python-webob,
         sudo,
         websockify (>= 0.8.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-suds (>= 0.4.0)
Conflicts: python-cjson
Description: OpenStack Compute - libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Depends: adduser,
         bridge-utils,
         dbconfig-common,
         iproute2 | iproute,
         python-amqplib,
         python-configobj,
         python-iso8601,
         python-nova (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-pysqlite2 | python-mysqldb | python-pygresql
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains elements that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends: adduser,
         conntrack,
         curl,
         ebtables,
         gawk,
         iptables,
         kpartx,
         nova-common (= ${binary:Version}),
         nova-compute-kvm | nova-compute-hypervisor,
         open-iscsi,
         parted,
         python-cinderclient,
         qemu-utils,
         rsync,
         vlan,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Replaces: python-nova (<< 2012.1~rc1-1)
Breaks: python-nova (<< 2012.1~rc1-1)
Description: OpenStack Compute - compute node
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package equips a system to function as a compute node, running the
 virtual machines.

Package: nova-compute-lxc
Architecture: all
Depends: adduser,
         dpkg-dev,
         libvirt-daemon-system,
         lxc,
         nova-common,
         nova-compute,
         python-libvirt (>= 1.2.5),
         ${misc:Depends},
         ${python:Depends},
Provides: nova-compute-hypervisor
Conflicts: nova-compute-ironic,
           nova-compute-kvm,
           nova-compute-qemu,
           nova-compute-xen,
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using LXC.

Package: nova-compute-qemu
Architecture: all
Depends: adduser,
         dpkg-dev,
         libvirt-daemon-system,
         nova-common,
         nova-compute,
         python-libvirt (>= 1.2.5),
         qemu,
         ${misc:Depends},
Provides: nova-compute-hypervisor
Conflicts: nova-compute-ironic,
           nova-compute-kvm,
           nova-compute-lxc,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')

include /usr/share/python/python.mk

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/ doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -rf nova.egg-info
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/nova-common.config debian/nova-common.postinst debian/nova-compute-xen.postinst \
		debian/nova-api.config debian/nova-api.postinst
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build etc/nova/nova.conf.sample
	rm -rf .testrepository subunit.log instances keys
	rm -rf debian/bla

override_dh_auto_build:
	dh_auto_build

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-compute-xen.postinst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/nova-doc/usr/share/doc/nova-doc/html
	sphinx-build -b man doc/source doc/build/man
	dh_sphinxdoc -O--buildsystem=python_distutils
	#python setup.py build_sphinx
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_auto_install:
	echo "Please do nothing"

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp

	mkdir -p $(CURDIR)/debian/nova-common/usr/share/nova-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file=$(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf \
		--wrap-width 140 \
		--namespace nova.conf \
		--namespace nova.api \
		--namespace nova.cells \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.middleware \
		--namespace oslo.concurrency \
		--namespace keystonemiddleware.auth_token
	# Otherwise, this is set to the build dir
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT pybasedir /usr/lib/python2.7/dist-packages
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT bindir /usr/bin

	# General needed fixes
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf oslo_concurrency lock_path /var/lock/nova
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT state_path /var/lib/nova

	# Let's use Neutron by default, and not stupid nova-network
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT security_group_api neutron
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT network_api_class nova.network.neutronv2.api.API
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT use_neutron True
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT linuxnet_interface_driver nova.network.linux_net.LinuxOVSInterfaceDriver
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT firewall_driver nova.virt.firewall.NoopFirewallDriver
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT default_floating_pool ext-nat

	# Fixup a few defaults for the [neutron] auth
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron auth_type v3password
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron user_domain_id default
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron project_name admin
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron auth_url http://127.0.0.1:35357/v2.0
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron tenant_name admin
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron username admin
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron user_domain_name default
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron project_domain_name default

	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron service_metadata_proxy true

	# Convenient default for the SQLite default db
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf database connection sqlite:////var/lib/nova/novadb

	# Let's use SPICE byd default
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf VNC enabled false
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf VNC vncserver_listen 0.0.0.0
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf spice vncserver_listen 0.0.0.0
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf spice server_listen 0.0.0.0
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf spice server_proxyclient_address \$$my_ip
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf spice enabled true

	# Set glance on localhost by default, to allow PoC to work
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf glance api_servers http://localhost:9292

	# Works by default
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf keystone_authtoken auth_protocol http

	rm debian/tmp/usr/bin/nova-api-os-compute
	rm debian/tmp/usr/bin/nova-api-metadata

	dh_install --fail-missing -Xbin/nova-all

	install -D -m 0440 $(CURDIR)/debian/nova-common.sudoers $(CURDIR)/debian/nova-common/etc/sudoers.d/nova-common
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/usr/share/nova-common/logging.conf
	set -e ; for hypervisor in qemu kvm uml lxc ironic; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done
	install -D -m 0600 $(CURDIR)/debian/nova-compute-xen.conf.dist $(CURDIR)/debian/nova-compute-xen/usr/share/nova-compute-xen/nova-compute.conf
	find $(CURDIR)/debian -name .gitignore -delete
	cp $(CURDIR)/nova/db/sqlalchemy/migrate_repo/migrate.cfg $(CURDIR)/debian/python-nova/usr/lib/python2.7/dist-packages/nova/db/sqlalchemy/migrate_repo

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers
	dh_fixperms -Xnova_tgt
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/projects/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/reqs/.gitignore

	# Make sure all our plugins are executable
#	set -e ; for i in $(CURDIR)/debian/nova-xcp-plugins/usr/lib/xcp/plugins/* ; do \
#		chmod +x $$i ; \
#	done
#	# Don't ask, that's as stupid as it seems... (and it wouldn't work without this!)
#	mkdir -p $(CURDIR)/debian/nova-xcp-plugins/etc/xcp
#	echo "{}" >$(CURDIR)/debian/nova-xcp-plugins/etc/xcp/xenhost.conf

## nova 14.0.0~rc1

=== requirements.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Paste # MIT
 PrettyTable<0.8,>=0.7 # BSD
 sqlalchemy-migrate>=0.9.6 # Apache-2.0
-netaddr!=0.7.16,>=0.7.12 # BSD
+netaddr!=0.7.16,>=0.7.13 # BSD
 netifaces>=0.10.4 # MIT
 paramiko>=2.0 # LGPLv2.1+
 Babel>=2.3.4 # BSD
@@ -42,7 +42,7 @@
 oslo.reports>=0.6.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.utils>=3.16.0 # Apache-2.0
-oslo.db>=4.10.0 # Apache-2.0
+oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
 oslo.rootwrap>=5.0.0 # Apache-2.0
 oslo.messaging>=5.2.0 # Apache-2.0
 oslo.policy>=1.9.0 # Apache-2.0
@@ -53,8 +53,9 @@
 oslo.middleware>=3.0.0 # Apache-2.0
 psutil<2.0.0,>=1.1.1 # BSD
 oslo.versionedobjects>=1.13.0 # Apache-2.0
-os-brick>=1.3.0 # Apache-2.0
+os-brick>=1.6.1 # Apache-2.0
 os-vif>=1.1.0 # Apache-2.0
 os-win>=0.2.3 # Apache-2.0
 castellan>=0.4.0 # Apache-2.0
 microversion-parse>=0.1.2 # Apache-2.0
+wsgi_intercept>=0.6.1 # MIT License

=== debian/changelog ===
nova (2:14.0.0~rc1-2+2~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:40:57 +0000

nova (2:14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Points .gitreview to OpenStack's Gerrit packaging-deb.
  * Fixed nova.conf generation.
  * Blacklist failing test:
    - virt.libvirt.test_driver.LibvirtConnTestCase.test_spawn_with_config_drive
  * Added a nova-placement-api package & daemon.
  * Package /usr/bin/nova-policy in nova-common.
  * Added --parallel when running unit tests.
  * Revised debian/copyright holder list.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2016 09:40:05 +0200

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Build-Depends-Indep: bandit (>= 0.13.2),
                      bpython,
                      euca2ools,
+                     genisoimage,
                      git,
                      ipython,
                      libvirt-daemon-system,
@@ -48,13 +49,13 @@
                      python-mock (>= 2.0),
                      python-mox3,
                      python-mysqldb,
-                     python-netaddr (>= 0.7.12),
+                     python-netaddr (>= 0.7.13),
                      python-netifaces (>= 0.10.4),
                      python-neutronclient (>= 1:5.1.0),
                      python-novaclient (>= 2:2.9.0),
                      python-openstackdocstheme (>= 1.5.0),
                      python-os-api-ref,
-                     python-os-brick (>= 1.3.0),
+                     python-os-brick (>= 1.6.1),
                      python-os-testr (>= 0.7.0),
                      python-os-vif (>= 1.1.0),
                      python-oslo.cache (>= 1.5.0),
@@ -81,6 +82,7 @@
                      python-paramiko (>= 2.0),
                      python-paste,
                      python-pastedeploy,
+                     python-pep8,
                      python-pil,
                      python-prettytable,
                      python-psutil,
@@ -98,14 +100,15 @@
                      python-testresources,
                      python-testtools (>= 1.4.0),
                      python-webob,
+                     python-wsgi-intercept (>= 0.6.1),
                      sqlite3,
                      subunit,
                      testrepository,
                      websockify (>= 0.8.0),
 Build-Conflicts: python-cjson
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-nova
-Vcs-Git: https://git.openstack.org/openstack/deb-nova
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-nova?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-nova -b debian/newton
 Homepage: http://www.openstack.org/software/openstack-compute/
 
 Package: python-nova
@@ -133,11 +136,11 @@
          python-microversion-parse (>= 0.1.2),
          python-migrate (>= 0.9.6),
          python-mysqldb,
-         python-netaddr (>= 0.7.12),
+         python-netaddr (>= 0.7.13),
          python-netifaces (>= 0.10.4),
          python-neutronclient (>= 1:5.1.0),
          python-novaclient (>= 2:2.9.0),
-         python-os-brick (>= 1.3.0),
+         python-os-brick (>= 1.6.1),
          python-os-vif (>= 1.1.0),
          python-oslo.cache (>= 1.5.0),
          python-oslo.concurrency (>= 3.8.0),
@@ -175,6 +178,7 @@
          python-stevedore (>= 1.16.0),
          python-tempita,
          python-webob,
+         python-wsgi-intercept (>= 0.6.1),
          sudo,
          websockify (>= 0.8.0),
          ${misc:Depends},
@@ -297,10 +301,3 @@
          libvirt-daemon-system,
          nova-common,
          nova-compute,
-         python-libvirt (>= 1.2.5),
-         qemu,
-         ${misc:Depends},
-Provides: nova-compute-hypervisor
-Conflicts: nova-compute-ironic,
-           nova-compute-kvm,
-           nova-compute-lxc,

## nova 14.0.0~rc2

=== debian/changelog ===
nova (2:14.0.0~rc2-1+1576~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 08:32:36 +0000

nova (2:14.0.0~rc2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * New upstream release.
  * Build-Depends on openstack-pkg-tools (>= 53~).
  * Fixed oslotest EPOCH.
  * Debconf translation:
    - it (Closes: #838502).

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 10:05:08 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 52~),
+               openstack-pkg-tools (>= 53~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -77,7 +77,7 @@
                      python-oslo.versionedobjects (>= 1.13.0),
                      python-oslo.vmware (>= 2.11.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-os-win (>= 0.2.3),
                      python-paramiko (>= 2.0),
                      python-paste,

## nova 14.0.0

=== requirements.txt ===
--- 
+++ 
@@ -58,4 +58,4 @@
 os-win>=0.2.3 # Apache-2.0
 castellan>=0.4.0 # Apache-2.0
 microversion-parse>=0.1.2 # Apache-2.0
-wsgi_intercept>=0.6.1 # MIT License
+wsgi-intercept>=0.6.1 # MIT License

=== debian/changelog ===
nova (2:14.0.0-3+4~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Fri, 24 Feb 2017 21:41:14 +0000

nova (2:14.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Allow using SQLAlchemy >= 1.1.
  * Fix bug that prevented generating nova-spicehtml5proxy and nova-xenvncproxy
    .service files.

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Dec 2016 17:40:19 +0100

nova (2:14.0.0-2) unstable; urgency=medium

  * Patches migration script to clean-up build_requests on upgrades from
    Mitaka.

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Oct 2016 14:28:43 +0200

nova (2:14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:22:58 +0200

nova (2:14.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 10:05:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            gustavo panizzo <gfa@zumbi.com.ar>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 53~),
+               openstack-pkg-tools (>= 52~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
